/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MDL_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_META_APPBLACKLIST') 
 CREATE TABLE T_META_APPBLACKLIST (
FID BIGINT DEFAULT 0 NOT NULL,
FAPPID VARCHAR(100) DEFAULT ' ' NOT NULL,
FAPPNUM VARCHAR(100) DEFAULT ' ' NOT NULL,
FPRODUCT INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_META_CLOUDBLACKLIST') 
 CREATE TABLE T_META_CLOUDBLACKLIST (
FID BIGINT DEFAULT 0 NOT NULL,
FCLOUDID VARCHAR(100) DEFAULT ' ' NOT NULL,
FCLOUDNUM VARCHAR(100) DEFAULT ' ' NOT NULL,
FPRODUCT INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_META_ENTITYBLACKLIST') 
 CREATE TABLE T_META_ENTITYBLACKLIST (
FID BIGINT DEFAULT 0 NOT NULL,
FENTITYID VARCHAR(100) DEFAULT ' ' NOT NULL,
FENTITYNUM VARCHAR(100) DEFAULT ' ' NOT NULL,
FPRODUCT INT DEFAULT 0 NOT NULL,
FAPPNUM VARCHAR(100) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MDL_table.sql **/
